#ifndef MINTERPOLATEDSCALAR_H
#define MINTERPOLATEDSCALAR_H

#define INTER_LIN 0
#define INTER_GAUSS 1

class MInterpolatedScalar {
private:
	unsigned char interType;
	float* values;
	unsigned short int valuesLength;
	static float valuesLin[];
	static float valuesGauss[];
	unsigned short int i;
public:	
	MInterpolatedScalar(unsigned char interpolationType);
	~MInterpolatedScalar(void);
	float next();
	bool hasNext();
	void reset();
};

#endif